html {
    width: 100%;
    height: 100%;
}

body {
    width: 100%;
    height: 100%;
    background-color: rgba(242, 246, 182, 0.31);
    /* font-family: 'Times New Roman' Times serif; */
    font-family:'Arial Narrow Bold', sans-serif;
    background: url("./img/mandje8.jpg");
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    flex-direction: column;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

h1 {
    color: #e3e3e3;
    font-size: 100px;
  
}

main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 24px;
}

/* Header start*/

header {
    height: 70px;
    text-shadow: 3px 0px 5px rgba(0, 0, 0, 1);
}

header nav {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(215, 240, 243, 0.29);
}

header nav ul {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content:space-around;
    align-items: center;

}

header nav ul li a {
    
    color: #fff;
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 500;
    font-size: 20px;
}


footer {
    width: 100%;
    border-top: solid 1px #fff;
    height: 60px;
}
footer p {
    width: 100%;
    text-align: center;
}
footer p:hover {
    letter-spacing: 3px;
    text-shadow: 3px 0px 5px rgba(0, 0, 0, 1);
}














/* Home pagina */

/* Bron: voor last of type: https://www.w3schools.com/cssref/sel_last-of-type.php */


main section:first-of-type {
    display: flex;
    height: 85vh;
    align-items: center;
    
   
}
main section:first-of-type div {
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 400px;

}
main section:first-of-type div a {
    background-color: rgb(216 2 95);
    padding: 10px;
    width: fit-content;
    border-radius: 7px;
    color: #fff;

}
main section:first-of-type h1 {
    font-size: 125px;
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    color: #fff;
    margin: 0;
}
main section:first-of-type img{
    height: 130px;
    order: -1;
}

main section:last-of-type {
    display: flex;
    align-items: center;
    gap: 16px;
    height: 85vh;
    padding: 0px 60px;
}
main section:last-of-type p {
    width: 50%;
    color: #fff;
    font-size: 25px;



}

main section:last-of-type ul {
    width: 50%;
    column-count: 2;
    margin: 0;
    padding: 0;



}

main section:last-of-type ul li img {
    width: 100%; 
    border-radius: 7px;

}

  

main section div p {
    width:  100%;  
    font-size: 25px;
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 50;
    color: #fff;
    margin: 0px;
}    














/*overmij pagina*/


.over_mij img {
    margin: auto;
    display: flex;
    position: relative;
    margin-top: 70px;
    height: 285px;
    width: 220px;
    border-radius: 50%;
    
}


.over_mij ul {
    width: 75%;

}

.over_mij ul li {
    display: flex;
    gap: 20px;
    margin: 20px;
    
}

.over_mij ul li h2 {
    width: 45%;
    color: #fff; 
    font-size: 40px;  
    text-align: right;
    margin: 0;

}

.over_mij ul li p{
    width: 55%;
    padding-top: 10px;
    font-size: 20px;
    color: #fff;
    margin: 0;
}

/* EINDE VAN OVER MIJ PAGINA */

















/* tips pagina */

/* 
-Bron: voor nth of type: https://developer.mozilla.org/en-US/docs/Web/CSS/:nth-of-type
-Bron: Inspiratie voor klaartontwerp: (Ik heb geprobeerd het concept van het omdraaien van een kaart om te zetten in 
een keyframe-animatie met behulp van deze bron.) 
https://codepen.io/acronamy/pen/GqXwXJ
https://learn.shayhowe.com/advanced-html-css/transitions-animations/


*/

.tips ul {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;  

    padding: 0;

}

.tips ul:nth-of-type(2) {
    justify-content: center;
}

.tips ul li {
    width: 45%;
    height: 400px;
    display: flex;
    flex-direction: row-reverse;
    background-color: rgba(236, 197, 238, 0.892);
    gap: 40px;
    margin: 2%;
    border-radius: 20px;
    overflow: hidden;

    position: relative;
}

.tips ul li:hover {
    animation-name: flip;
    animation-duration: 2s;
    animation-fill-mode: both;
}

.tips ul:nth-of-type(2) li:hover {
    animation: none;
}

@keyframes flip {
    0% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(180deg);
    }

} 


.tips ul li h3 {
    width: 60%;
    color: #fff; 
    font-size: 40px; 
    text-align: center;
    align-self: center;
    margin: 0;
}

.tips ul:nth-of-type(2) li div h3 {
   
    text-align: left;
    margin-bottom: 20px;
   

}
.tips ul li p {
    width: 90%;
    font-size: 30px;
    color: #171414a8;
    align-self: center; 
    position: absolute;
    left: 30px;
    opacity: 0%;
    transform: rotateY(180deg);
}

.tips ul:nth-of-type(2) li div p {
    opacity: 100%;
    transform: none;
    position: unset;
    margin: 0;
}
.tips ul:nth-of-type(2) li {
    width: 70%;
}

.tips ul:nth-of-type(2) li div {
    height: fit-content;
    align-self: center;
}


.tips ul li img {
    width: 40%;
}

.tips ul li iframe {
    width: 40%;
    height: 100%;
}

.tips ul li:hover p {
    animation-name: showing;
    animation-duration: 0.5s;
    animation-fill-mode: both;
    animation-delay: 1s;
}

.tips ul li:hover h3, .tips ul li:hover img

 {
    animation-name: showing;
    animation-duration: 0.5s;
    animation-fill-mode: both;
    animation-direction: reverse;
}

.tips ul:nth-of-type(2) li:hover div h3, .tips ul:nth-of-type(2) li:hover div img, .tips ul:nth-of-type(2) li:hover div iframe, .tips ul:nth-of-type(2) li:hover div p {
    animation: none;
}


@keyframes showing {
    0% {
        opacity: 0%;

    }
    100% {
        opacity: 100%;
    }
}








/*DE GALLERY */

.gallery_page {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 40px;
}
.gallery_page h1 {
    width: fit-content;
    font-size: 3em;
    font-weight: bolder;
    padding-bottom: 10px;
    border-bottom: 3px solid #222;

}
.gallery_page span {
    font-size:1.5em;
}

.gallery_page ul {
    list-style: none;
    margin: 0;
    padding: 0;
    column-count: 3;
    width: 100%;
    margin-top: 25px;

}

.gallery_page ul li img {
    width: 100%;
}    
